eoWeakElitistReplacement(3)

NAME
eoWeakElitistReplacement - eoWeakElitistReplacement: a wrapper for other replacement procedures.

SYNOPSIS

#include <eoReplacement.h>

Inherits eoReplacement< EOT >< EOT >.

  Public Types
typedef EOT::Fitness Fitness

  Public Member Functions
eoWeakElitistReplacement (eoReplacement< EOT > &_replace)
void operator() (eoPop< EOT > &_pop, eoPop< EOT > &_offspring)
do replacement

  Private Attributes
eoReplacement< EOT > & replace

Detailed Description

  template<class EOT> class eoWeakElitistReplacement< EOT >
eoWeakElitistReplacement: a wrapper for other replacement procedures. Copies in the new pop the best individual from the old pop, AFTER normal replacement, if the best of the new pop is worse than the best of the old pop. Removes the worse individual from the new pop. This could be changed by adding a selector there...

Definition at line 102 of file eoReplacement.h.

Author

Generated automatically by Doxygen for EO from the source code.